# Fetch a Balance Entry

Retrieve the details of a specific Balance Entry.

Endpoint: GET /balance_entries/{balance_entry_id}
Version: 2022-02-01
Security: BasicAuth

## Path parameters:

  - `balance_entry_id` (string, required)
    The ID of the Balance Entry.

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Response 200 fields (application/json):

  - `id` (string)
    The ID of the resource.

  - `created_at` (string)
    Timestamp of when the object was created.

  - `updated_at` (string)
    Timestamp of when the object was last updated.

  - `amount` (integer)
    The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).
    Example: 5000

  - `created_by` (string)
    The ID of the application user that created this Balance Adjustment.

  - `currency` (string)
    ISO 4217 3-letter currency code.
    Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHE", "CHF", "CHW", "CLF", "CLP", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "USN", "UYI", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XAG", "XAU", "XBA", "XBB", "XBC", "XBD", "XCD", "XDR", "XOF", "XPD", "XPF", "XPT", "XSU", "XTS", "XUA", "XXX", "YER", "ZAR", "ZMW", "ZWL"

  - `description` (string)
    A description of the Balance Entry.

  - `entity_id` (string)
    The ID of the resource that caused the change to the Balance, either a Balance Adjustment (i.e., "top-up") or a Transfer.

  - `entity_type` (string)
    The resource type that caused the change to the Balance.
    Enum: "BALANCE_ADJUSTMENT", "TRANSFER"

  - `estimated_posted_date` (string)
    Timestamp estimating when the Balance Entry will be posted (i.e., the state is set to SUCCEEDED).

  - `linked_to` (string)
    The ID of the resource (e.g., an [Application](#Application)) that the Balance Entry is linked to.

  - `linked_type` (string)
    Specifies the type of resource identified in linked_to.
    Enum: "APPLICATION"

  - `parent_balance_entry_id` (string)
    The parent_balance_entry_id refers to the ID of the original Balance Entry. This is only applicable for transactions that have been reversed after being posted (i.e., the state is set to RETURNED). For instance, if a transaction with the ID balance_entry_xyz is reversed, the newly created reversal entry will have a parent_balance_entry_id that matches the ID of the original transaction, balance_entry_xyz.

  - `posted_at` (string,null)
    Timestamp of when the Balance Entry was posted and finalized on the Balance (i.e., state changed to SUCCEEDED). This field is null if the entry has not been posted.

  - `state` (string)
    The current state of the Balance Entry.
- SUCCEEDED: The balance entry has been successfully posted and affects the account balance.
- PENDING: The balance entry is awaiting confirmation and has not yet affected the account balance.
- FAILED: The balance entry failed and did not affect the account balance.
- RETURNED: The balance entry was returned (e.g., due to an ACH return) and has been reversed.
    Enum: "SUCCEEDED", "PENDING", "FAILED", "RETURNED"

  - `tags` (object,null)
    Include up to 50 key: value pairs to annotate requests with custom metadata.
- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500.
(For example, order_number: 25, item_type: produce, department: sales)

  - `transaction_date` (string)
    The date of the transaction.

  - `type` (string)
    The transaction type that caused a change to the Balance.
    Enum: "BALANCE_TOP_UP_ACH", "BALANCE_WITHDRAWAL_ACH", "MANUAL_BALANCE_ADJUSTMENT_DECREASE", "MANUAL_BALANCE_ADJUSTMENT_INCREASE", "PULL_FROM_ACH", "PULL_FROM_CARD", "PUSH_TO_ACH", "PUSH_TO_CARD", "PULL_FROM_SAME_DAY_ACH", "PUSH_TO_SAME_DAY_ACH"

  - `wire_details` (object)
    Wire transfer details, if applicable.

  - `wire_details.external_reference_number` (string)
    External reference number for the wire transfer.

  - `wire_details._links` (object)
    An object containing link(s) relevant to the request. You can store these links for follow-up requests.

  - `wire_details._links.self` (object)

  - `wire_details._links.self.href` (string)
    The path to the Balance Entry resource.

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 404 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 422 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


